Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.zip
Class ExtraFieldUtils

    java.lang.Object
      |
      +--org.apache.tools.zip.ExtraFieldUtils

public class ExtraFieldUtils
extends java.lang.Object

ZipExtraField related methods

Constructor Summary
`ExtraFieldUtils()`

Method Summary
`static ZipExtraField` | `createExtraField(ZipShort headerId)` Create an instance of the approriate ExtraField, falls back to `UnrecognizedExtraField`.
`static byte[]` | `mergeCentralDirectoryData(ZipExtraField[] data)` Merges the central directory fields of the given ZipExtraFields.
`static byte[]` | `mergeLocalFileDataData(ZipExtraField[] data)` Merges the local file data fields of the given ZipExtraFields.
`static ZipExtraField[]` | `parse(byte[] data)` Split the array into ExtraFields and populate them with the give data.
`static void` | `register(java.lang.Class c)` Register a ZipExtraField implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtraFieldUtils

    public ExtraFieldUtils()

Method Detail

### register

    public static void register(java.lang.Class c)

  Register a ZipExtraField implementation.

  The given class must have a no-arg constructor and implement the `ZipExtraField interface`.

  Since:
    1.1

### createExtraField

    public static ZipExtraField createExtraField(ZipShort headerId)
                                          throws java.lang.InstantiationException,
                                                 java.lang.IllegalAccessException

  Create an instance of the approriate ExtraField, falls back to `UnrecognizedExtraField`.

    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
  Since:
    1.1

### parse

    public static ZipExtraField[] parse(byte[] data)
                                 throws java.util.zip.ZipException

  Split the array into ExtraFields and populate them with the give data.

    `java.util.zip.ZipException`
  Since:
    1.1

### mergeLocalFileDataData

    public static byte[] mergeLocalFileDataData(ZipExtraField[] data)

  Merges the local file data fields of the given ZipExtraFields.

  Since:
    1.1

### mergeCentralDirectoryData

    public static byte[] mergeCentralDirectoryData(ZipExtraField[] data)

  Merges the central directory fields of the given ZipExtraFields.

  Since:
    1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.